"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const qwik = require("@builder.io/qwik");
const CustomCode = qwik.component$((props) => {
  const elementRef = qwik.useSignal();
  const state = qwik.useStore({
    scriptsInserted: [],
    scriptsRun: []
  });
  qwik.useOn("qvisible", qwik.$((event, element) => {
    if (!(element == null ? void 0 : element.getElementsByTagName) || typeof window === "undefined") {
      return;
    }
    const scripts = element.getElementsByTagName("script");
    for (let i = 0; i < scripts.length; i++) {
      const script = scripts[i];
      if (script.src) {
        if (state.scriptsInserted.includes(script.src)) {
          continue;
        }
        state.scriptsInserted.push(script.src);
        const newScript = document.createElement("script");
        newScript.async = true;
        newScript.src = script.src;
        document.head.appendChild(newScript);
      } else if (!script.type || [
        "text/javascript",
        "application/javascript",
        "application/ecmascript"
      ].includes(script.type)) {
        if (state.scriptsRun.includes(script.innerText)) {
          continue;
        }
        try {
          state.scriptsRun.push(script.innerText);
          new Function(script.innerText)();
        } catch (error) {
          console.warn("`CustomCode`: Error running script:", error);
        }
      }
    }
  }));
  return /* @__PURE__ */ jsxRuntime.jsx("div", {
    ref: elementRef,
    class: "builder-custom-code" + (props.replaceNodes ? " replace-nodes" : ""),
    dangerouslySetInnerHTML: props.code
  });
});
exports.CustomCode = CustomCode;
exports.default = CustomCode;
