import { jsx } from "@builder.io/qwik/jsx-runtime";
import { component$, createElement } from "@builder.io/qwik";
import { isEditing } from "../../../functions/is-editing.qwik.mjs";
const SelectComponent = component$((props) => {
  return /* @__PURE__ */ createElement("select", {
    ...props.attributes,
    value: props.value,
    key: isEditing() && props.defaultValue ? props.defaultValue : "default-key",
    defaultValue: props.defaultValue,
    name: props.name,
    required: props.required
  }, (props.options || []).map((option, index) => {
    return /* @__PURE__ */ jsx("option", {
      value: option.value,
      children: option.name || option.value
    }, `${option.name}-${index}`);
  }));
});
export {
  SelectComponent,
  SelectComponent as default
};
