import { jsx } from "@builder.io/qwik/jsx-runtime";
import { ContentVariants } from "../../components/content-variants/content-variants.qwik.mjs";
import { getClassPropName } from "../../functions/get-class-prop-name.qwik.mjs";
import { fetchSymbolContent } from "./symbol.helpers.qwik.mjs";
import { component$, useComputed$, useStore, useTask$ } from "@builder.io/qwik";
const setContent = function setContent2(props, state, blocksWrapper, contentWrapper, className) {
  if (state.contentToUse)
    return;
  fetchSymbolContent({
    symbol: props.symbol,
    builderContextValue: props.builderContext
  }).then((newContent) => {
    if (newContent) {
      state.contentToUse = newContent;
    }
  });
};
const Symbol$1 = component$((props) => {
  var _a, _b, _c, _d, _e, _f;
  const blocksWrapper = useComputed$(() => {
    return "div";
  });
  const contentWrapper = useComputed$(() => {
    return "div";
  });
  const className = useComputed$(() => {
    var _a2, _b2;
    return [
      ...[
        props.attributes[getClassPropName()]
      ],
      "builder-symbol",
      ((_a2 = props.symbol) == null ? void 0 : _a2.inline) ? "builder-inline-symbol" : void 0,
      ((_b2 = props.symbol) == null ? void 0 : _b2.dynamic) || props.dynamic ? "builder-dynamic-symbol" : void 0
    ].filter(Boolean).join(" ");
  });
  const state = useStore({
    contentToUse: (_a = props.symbol) == null ? void 0 : _a.content
  });
  useTask$(({ track }) => {
    track(() => props.symbol);
    setContent(props, state);
  });
  return /* @__PURE__ */ jsx("div", {
    ...props.attributes,
    class: className.value,
    children: /* @__PURE__ */ jsx(ContentVariants, {
      nonce: props.builderContext.nonce,
      isNestedRender: true,
      apiVersion: props.builderContext.apiVersion,
      apiKey: props.builderContext.apiKey,
      context: {
        ...props.builderContext.context,
        symbolId: (_b = props.builderBlock) == null ? void 0 : _b.id
      },
      customComponents: Object.values(props.builderComponents),
      data: {
        ...(_c = props.symbol) == null ? void 0 : _c.data,
        ...props.builderContext.localState,
        ...(_e = (_d = state.contentToUse) == null ? void 0 : _d.data) == null ? void 0 : _e.state
      },
      canTrack: props.builderContext.canTrack,
      model: (_f = props.symbol) == null ? void 0 : _f.model,
      content: state.contentToUse,
      linkComponent: props.builderLinkComponent,
      blocksWrapper: blocksWrapper.value,
      contentWrapper: contentWrapper.value
    })
  });
});
export {
  Symbol$1 as Symbol,
  Symbol$1 as default,
  setContent
};
