"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const block = require("../../block.qwik.cjs");
const interactiveElement = require("../interactive-element.qwik.cjs");
const componentRef_helpers = require("./component-ref.helpers.qwik.cjs");
const qwik = require("@builder.io/qwik");
const ComponentRef = qwik.component$((props) => {
  const state = qwik.useStore({
    Wrapper: props.isInteractive ? interactiveElement.InteractiveElement : props.componentRef
  });
  return /* @__PURE__ */ jsxRuntime.jsx(jsxRuntime.Fragment, {
    children: props.componentRef ? /* @__PURE__ */ jsxRuntime.jsx(state.Wrapper, {
      ...componentRef_helpers.getWrapperProps({
        componentOptions: props.componentOptions,
        builderBlock: props.builderBlock,
        context: props.context,
        componentRef: props.componentRef,
        linkComponent: props.linkComponent,
        includeBlockProps: props.includeBlockProps,
        isInteractive: props.isInteractive,
        contextValue: props.context
      }),
      children: (props.blockChildren || []).map((child) => {
        return /* @__PURE__ */ jsxRuntime.jsx(block.default, {
          block: child,
          context: props.context,
          registeredComponents: props.registeredComponents,
          linkComponent: props.linkComponent
        }, child.id);
      })
    }) : null
  });
});
exports.ComponentRef = ComponentRef;
exports.default = ComponentRef;
