"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const getBlockActions = require("../../../functions/get-block-actions.qwik.cjs");
const getBlockProperties = require("../../../functions/get-block-properties.qwik.cjs");
const awaiter = require("../../awaiter.qwik.cjs");
const qwik = require("@builder.io/qwik");
const InteractiveElement = qwik.component$((props) => {
  const attributes = qwik.useComputed$(() => {
    return props.includeBlockProps ? {
      ...getBlockProperties.getBlockProperties({
        block: props.block,
        context: props.context
      }),
      ...getBlockActions.getBlockActions({
        block: props.block,
        rootState: props.context.rootState,
        rootSetState: props.context.rootSetState,
        localState: props.context.localState,
        context: props.context.context
      })
    } : {};
  });
  return /* @__PURE__ */ jsxRuntime.jsx(jsxRuntime.Fragment, {
    children: props.Wrapper.load ? /* @__PURE__ */ jsxRuntime.jsx(awaiter.Awaiter, {
      load: props.Wrapper.load,
      fallback: props.Wrapper.fallback,
      props: props.wrapperProps,
      attributes: attributes.value,
      children: /* @__PURE__ */ jsxRuntime.jsx(qwik.Slot, {})
    }) : /* @__PURE__ */ jsxRuntime.jsx(props.Wrapper, {
      ...props.wrapperProps,
      attributes: attributes.value,
      children: /* @__PURE__ */ jsxRuntime.jsx(qwik.Slot, {})
    })
  });
});
exports.InteractiveElement = InteractiveElement;
exports.default = InteractiveElement;
