"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const createRegisterComponentMessage = (info) => ({
  type: "builder.registerComponent",
  data: serializeIncludingFunctions(info)
});
const serializeFn = (fnValue) => {
  const fnStr = fnValue.toString().trim();
  const appendFunction = !fnStr.startsWith("function") && !fnStr.startsWith("(");
  return `return (${appendFunction ? "function " : ""}${fnStr}).apply(this, arguments)`;
};
function serializeIncludingFunctions(info) {
  return JSON.parse(JSON.stringify(info, (key, value) => {
    if (typeof value === "function") {
      return serializeFn(value);
    }
    return value;
  }));
}
exports.createRegisterComponentMessage = createRegisterComponentMessage;
exports.serializeIncludingFunctions = serializeIncludingFunctions;
