"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const helpers = require("./helpers.qwik.cjs");
const qwik = require("@builder.io/qwik");
const findAndRunScripts = function findAndRunScripts2(props, state, elem) {
  if (!elem.value || !elem.value.getElementsByTagName)
    return;
  const scripts = elem.value.getElementsByTagName("script");
  for (let i = 0; i < scripts.length; i++) {
    const script = scripts[i];
    if (script.src && !state.scriptsInserted.includes(script.src)) {
      state.scriptsInserted.push(script.src);
      const newScript = document.createElement("script");
      newScript.async = true;
      newScript.src = script.src;
      document.head.appendChild(newScript);
    } else if (helpers.isJsScript(script) && !state.scriptsRun.includes(script.innerText)) {
      try {
        state.scriptsRun.push(script.innerText);
        new Function(script.innerText)();
      } catch (error) {
        console.warn("`Embed`: Error running script:", error);
      }
    }
  }
};
const Embed = qwik.component$((props) => {
  const elem = qwik.useSignal();
  const state = qwik.useStore({
    ranInitFn: false,
    scriptsInserted: [],
    scriptsRun: []
  });
  qwik.useTask$(({ track }) => {
    track(() => elem.value);
    track(() => state.ranInitFn);
    if (elem.value && !state.ranInitFn) {
      state.ranInitFn = true;
      findAndRunScripts(props, state, elem);
    }
  });
  return /* @__PURE__ */ jsxRuntime.jsx("div", {
    class: "builder-embed",
    ref: elem,
    dangerouslySetInnerHTML: props.content
  });
});
exports.Embed = Embed;
exports.default = Embed;
exports.findAndRunScripts = findAndRunScripts;
