import { component$, createElement } from "@builder.io/qwik";
import { isEditing } from "../../../functions/is-editing.qwik.mjs";
const FormInputComponent = component$((props) => {
  return /* @__PURE__ */ createElement("input", {
    ...props.attributes,
    key: isEditing() && props.defaultValue ? props.defaultValue : "default-key",
    placeholder: props.placeholder,
    type: props.type,
    name: props.name,
    value: props.value,
    defaultValue: props.defaultValue,
    required: props.required
  });
});
export {
  FormInputComponent,
  FormInputComponent as default
};
