import { jsx } from "@builder.io/qwik/jsx-runtime";
import { isEditing } from "../../functions/is-editing.qwik.mjs";
import { component$, useStylesScoped$, useComputed$, useSignal, useVisibleTask$, $, Slot } from "@builder.io/qwik";
const onClick = function onClick2(props, state, className, blocksWrapperRef) {
  var _a, _b;
  if (isEditing() && !((_a = props.blocks) == null ? void 0 : _a.length)) {
    (_b = window.parent) == null ? void 0 : _b.postMessage({
      type: "builder.clickEmptyBlocks",
      data: {
        parentElementId: props.parent,
        dataPath: props.path
      }
    }, "*");
  }
};
const onMouseEnter = function onMouseEnter2(props, state, className, blocksWrapperRef) {
  var _a, _b;
  if (isEditing() && !((_a = props.blocks) == null ? void 0 : _a.length)) {
    (_b = window.parent) == null ? void 0 : _b.postMessage({
      type: "builder.hoverEmptyBlocks",
      data: {
        parentElementId: props.parent,
        dataPath: props.path
      }
    }, "*");
  }
};
const BlocksWrapper = component$((props) => {
  useStylesScoped$(STYLES);
  const className = useComputed$(() => {
    var _a;
    return [
      "builder-blocks",
      !((_a = props.blocks) == null ? void 0 : _a.length) ? "no-blocks" : "",
      props.classNameProp
    ].filter(Boolean).join(" ");
  });
  const blocksWrapperRef = useSignal();
  useVisibleTask$(() => {
  });
  return /* @__PURE__ */ jsx(props.BlocksWrapper, {
    ref: blocksWrapperRef,
    class: className.value + " props-blocks-wrapper-BlocksWrapper",
    "builder-path": props.path,
    "builder-parent-id": props.parent,
    style: props.styleProp,
    onClick$: $((event) => onClick(props)),
    onMouseEnter$: $((event) => onMouseEnter(props)),
    onKeyPress$: $((event) => onClick(props)),
    ...props.BlocksWrapperProps,
    children: /* @__PURE__ */ jsx(Slot, {})
  });
});
const STYLES = `
.props-blocks-wrapper-BlocksWrapper {
  display: flex;
  flex-direction: column;
  align-items: stretch;
}
`;
export {
  BlocksWrapper,
  STYLES,
  BlocksWrapper as default,
  onClick,
  onMouseEnter
};
