"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const target = require("../../constants/target.qwik.cjs");
const abTests = require("../../helpers/ab-tests.qwik.cjs");
const canTrack = require("../../helpers/canTrack.qwik.cjs");
const content = require("../content/content.qwik.cjs");
const inlinedScript = require("../inlined-script.qwik.cjs");
const inlinedStyles = require("../inlined-styles.qwik.cjs");
const helpers = require("./helpers.qwik.cjs");
const qwik = require("@builder.io/qwik");
const ContentVariants = qwik.component$((props) => {
  const state = qwik.useStore({
    shouldRenderVariants: helpers.checkShouldRenderVariants({
      canTrack: canTrack.getDefaultCanTrack(props.canTrack),
      content: props.content
    })
  });
  const updateCookieAndStylesScriptStr = qwik.useComputed$(() => {
    var _a;
    return helpers.getUpdateCookieAndStylesScript(helpers.getVariants(props.content).map((value) => ({
      id: value.testVariationId,
      testRatio: value.testRatio
    })), ((_a = props.content) == null ? void 0 : _a.id) || "");
  });
  const hideVariantsStyleString = qwik.useComputed$(() => {
    return helpers.getVariants(props.content).map((value) => `.variant-${value.testVariationId} { display: none; } `).join("");
  });
  const defaultContent = qwik.useComputed$(() => {
    var _a;
    return state.shouldRenderVariants ? {
      ...props.content,
      testVariationId: (_a = props.content) == null ? void 0 : _a.id
    } : abTests.handleABTestingSync({
      item: props.content,
      canTrack: canTrack.getDefaultCanTrack(props.canTrack)
    });
  });
  return /* @__PURE__ */ jsxRuntime.jsxs(qwik.Fragment, {
    children: [
      !props.isNestedRender && target.TARGET !== "reactNative" ? /* @__PURE__ */ jsxRuntime.jsx(inlinedScript.InlinedScript, {
        id: "builderio-init-variants-fns",
        scriptStr: helpers.getInitVariantsFnsScriptString(),
        nonce: props.nonce || ""
      }) : null,
      state.shouldRenderVariants ? /* @__PURE__ */ jsxRuntime.jsxs(jsxRuntime.Fragment, {
        children: [
          /* @__PURE__ */ jsxRuntime.jsx(inlinedStyles.InlinedStyles, {
            id: "builderio-variants",
            styles: hideVariantsStyleString.value,
            nonce: props.nonce || ""
          }),
          /* @__PURE__ */ jsxRuntime.jsx(inlinedScript.InlinedScript, {
            id: "builderio-variants-visibility",
            scriptStr: updateCookieAndStylesScriptStr.value,
            nonce: props.nonce || ""
          }),
          (helpers.getVariants(props.content) || []).map((variant) => {
            return /* @__PURE__ */ jsxRuntime.jsx(content.ContentComponent, {
              isNestedRender: props.isNestedRender,
              nonce: props.nonce,
              content: variant,
              showContent: false,
              model: props.model,
              data: props.data,
              context: props.context,
              apiKey: props.apiKey,
              apiVersion: props.apiVersion,
              customComponents: props.customComponents,
              linkComponent: props.linkComponent,
              canTrack: props.canTrack,
              locale: props.locale,
              enrich: props.enrich,
              isSsrAbTest: state.shouldRenderVariants,
              blocksWrapper: props.blocksWrapper,
              blocksWrapperProps: props.blocksWrapperProps,
              contentWrapper: props.contentWrapper,
              contentWrapperProps: props.contentWrapperProps,
              trustedHosts: props.trustedHosts
            }, variant.testVariationId);
          })
        ]
      }) : null,
      /* @__PURE__ */ jsxRuntime.jsx(content.ContentComponent, {
        nonce: props.nonce,
        isNestedRender: props.isNestedRender,
        content: defaultContent.value,
        showContent: true,
        model: props.model,
        data: props.data,
        context: props.context,
        apiKey: props.apiKey,
        apiVersion: props.apiVersion,
        customComponents: props.customComponents,
        linkComponent: props.linkComponent,
        canTrack: props.canTrack,
        locale: props.locale,
        enrich: props.enrich,
        isSsrAbTest: state.shouldRenderVariants,
        blocksWrapper: props.blocksWrapper,
        blocksWrapperProps: props.blocksWrapperProps,
        contentWrapper: props.contentWrapper,
        contentWrapperProps: props.contentWrapperProps,
        trustedHosts: props.trustedHosts
      })
    ]
  });
});
exports.ContentVariants = ContentVariants;
exports.default = ContentVariants;
