import type { BuilderContextInterface, RegisteredComponent, RegisteredComponents } from '../../context/types';
import type { BuilderBlock } from '../../types/builder-block';
import type { RepeatData } from './types';
export declare const getComponent: ({ block, registeredComponents }: {
    block: BuilderBlock;
    registeredComponents: RegisteredComponents;
}) => RegisteredComponent | null | undefined;
export declare const getRepeatItemData: ({ block, context }: {
    block: BuilderBlock;
    context: BuilderContextInterface;
}) => RepeatData[] | undefined;
export declare const getInheritedStyles: ({ block, context }: {
    block: BuilderBlock;
    context: BuilderContextInterface;
}) => Partial<CSSStyleDeclaration>;
export declare const provideLinkComponent: (block: RegisteredComponent | null | undefined, linkComponent: any) => {
    builderLinkComponent: any;
} | {
    builderLinkComponent?: undefined;
};
export declare const provideRegisteredComponents: (block: RegisteredComponent | null | undefined, registeredComponents: RegisteredComponents) => {
    builderComponents: RegisteredComponents;
} | {
    builderComponents?: undefined;
};
export declare const provideBuilderBlock: (block: RegisteredComponent | null | undefined, builderBlock: BuilderBlock) => {
    builderBlock: BuilderBlock;
} | {
    builderBlock?: undefined;
};
export declare const provideBuilderContext: (block: RegisteredComponent | null | undefined, context: BuilderContextInterface) => {
    builderContext: BuilderContextInterface;
} | {
    builderContext?: undefined;
};
